Android Studio 1.4をアップデートしたところ


warning: Ignoring InnerClasses attribute for an anonymous inner class
http://build/intermediates/exploded-aar/com.android.support/appcompat-v7/22.2.0/res/values-v21/values-v21.xml

とか出るようになって、いろいろな対策を入れてみたけど、Amazon Kindle Fireで全く動かなくなった。

compileSdkVersion 22
buildToolsVersion “22.0.1”
にして
multiDexEnabled true
compile ‘com.android.support:multidex:1.0.0’

を追加するとかの対策ですね。

でも、おかしい。そもそも22.2.0なんか使ってない。
じゃ、ライブラリやわ。ライブラリの中で変化した可能性のあるのはどれ?

これ。絶対これ。
compile ‘com.google.android.gms:play-services:+’

じゃ、必要なのだけにしてみる
compile ‘com.google.android.gms:play-services-ads:+’
compile ‘com.google.android.gms:play-services-gcm:+’
compile ‘com.google.android.gms:play-services-analytics:+’

コンパイル通る。デバッグモードでも起動する。

おそらく、このサービス以外の中に「appcompat-v7/22.2.0」を使ってるのがいるようですね。